%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-panko

Name:                   puppet-panko
Version:                10.4.0
Release:                1%{?dist}
Summary:                Puppet module for OpenStack Panko Service
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-panko

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=10.4.0
#

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-stdlib
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 2.7.0

%description
Installs and configures OpenStack Panko Events Service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/panko/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/panko/



%files
%{_datadir}/openstack-puppet/modules/panko/


%changelog
* Thu Apr 12 2018 Steve Linabery <slinaber@redhat.com> 10.4.0-1
- Update to 10.4.0

* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.3.1-2
- Switch to Zuul v3 testing

* Mon Jun 26 2017 Jason Joyce <jjoyce@redhat.com> 10.3.1-1
- Update to 10.3.1

* Thu Mar 30 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-3
- Remove explicit log file for panko (rhbz#1416648)

* Tue Mar 21 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-2
- Set the user and domain name to default

* Fri Feb 10 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


